Package ch.qos.logback.access.net.server

# Class ServerSocketAppender

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.core.AppenderBase<E>
ch.qos.logback.core.net.server.AbstractServerSocketAppender<IAccessEvent>
ch.qos.logback.access.net.server.ServerSocketAppender

All Implemented Interfaces:
  `Appender<IAccessEvent>`, `ContextAware`, `FilterAttachable<IAccessEvent>`, `LifeCycle`

public class ServerSocketAppender extends AbstractServerSocketAppender<IAccessEvent>
An appender that listens on a TCP port for connections from remote loggers. Each event delivered to this appender is delivered to all connected remote loggers.

Author:
  Carl Harris

## Field Summary

### Fields inherited from class ch.qos.logback.core.net.server.AbstractServerSocketAppender

`DEFAULT_BACKLOG, DEFAULT_CLIENT_QUEUE_SIZE`

### Fields inherited from class ch.qos.logback.core.AppenderBase

`name, started`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Constructor Summary

Constructors
Constructor
Description
`ServerSocketAppender()`

## Method Summary

Modifier and Type
Method
Description
`protected PreSerializationTransformer<IAccessEvent>`
`getPST()`
Gets a transformer that will be used to convert a received event to a `Serializable` form.
`protected void`
`postProcessEvent(IAccessEvent event)`
Post process an event received via `AbstractServerSocketAppender.append(E)`.

### Methods inherited from class ch.qos.logback.core.net.server.AbstractServerSocketAppender

`append, createServerListener, createServerRunner, getAddress, getBacklog, getClientQueueSize, getInetAddress, getPort, getServerSocketFactory, setAddress, setBacklog, setClientQueueSize, setPort, start, stop`

### Methods inherited from class ch.qos.logback.core.AppenderBase

`addFilter, clearAllFilters, doAppend, getCopyOfAttachedFiltersList, getFilterChainDecision, getName, isStarted, setName, toString`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

## Constructor Details

### ServerSocketAppender

public ServerSocketAppender()

## Method Details

### postProcessEvent

protected void postProcessEvent(IAccessEvent event)
Description copied from class: `AbstractServerSocketAppender`
Post process an event received via `AbstractServerSocketAppender.append(E)`.

Specified by:
  `postProcessEvent` in class `AbstractServerSocketAppender<IAccessEvent>`

### getPST

protected PreSerializationTransformer<IAccessEvent> getPST()
Description copied from class: `AbstractServerSocketAppender`
Gets a transformer that will be used to convert a received event to a `Serializable` form.

Specified by:
  `getPST` in class `AbstractServerSocketAppender<IAccessEvent>`
Returns: